
Foreman - Feature #30014

Set MALLOC_ARENA_MAX=2 for foreman/puma process

06/04/2020 11:06 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Rails   

Target version: 2.1.0   

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7721

  

Description

We do this for dynflow, we should probably have the same for the web process.

https://community.theforeman.org/t/foreman-2-0-0-memory-leak/18953/37

Associated revisions

Revision 7b0e8889 - 06/09/2020 12:24 PM - Lukas Zapletal

Fixes #30014 - set MALLOC_ARENA_MAX=2 for puma

History

#1 - 06/04/2020 11:06 AM - Lukas Zapletal

- Target version set to 2.1.0

#2 - 06/04/2020 11:08 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Lukas Zapletal

- Pull request https://github.com/theforeman/foreman/pull/7721 added

#3 - 06/09/2020 12:24 PM - The Foreman Bot

- Fixed in Releases 2.2.0 added

#4 - 06/09/2020 12:25 PM - Tomer Brisker

- Category changed from Packaging to Rails

- Fixed in Releases 2.1.0 added

- Fixed in Releases deleted (2.2.0)

#5 - 06/09/2020 01:01 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset 7b0e8889cbff82e6b5caf1e09752f17d0dbe3ffc.

#6 - 09/10/2020 05:02 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7975 added
